classdef CodeStream < handle
    % Description:
    %     <None>
    % Properties:
    %     Codes
    %     Complex
    % Methods:
    %     Append
    %     CodeLength
    %     FindWeights
    %     IsValidStream
    %     StreamLength
    
    properties (GetAccess = public, SetAccess = private)
        % A cell array of the codes.
        Codes;
        
        % The simplicial complex generated by the supports of the
        % codewords in the final code in this stream.
        Complex;
    end
    
    methods (Access = public)
        function cdsm = CodeStream(cellCodes)
            assert(nargin < 2);
            
            cdsm.Codes = cell(0);
            
            if nargin == 1
                assert(isa(cellCodes, 'cell'));
                assert(~isempty(cellCodes));
                assert(isvector(cellCodes));
                
                for i = 1 : length(cellCodes)
                    cdsm.Append(cellCodes{i});
                end
            end
        end
    end
    
    methods (Access = public)
        [bIsValid, idx] = IsValidStream(this)
        
        FindWeights(this)
        
        Append(this, codeNew)
        
        i = CodeLength(this)
        
        i = StreamLength(this)
    end
end