function [A,P] = generate_sq_dist_mtx(n,d)

%function [A,P] = generate_sq_dist_mtx(n,d)
% 
%A = a random square distance matrix
%P = matrix of randomly selected points
%
%n = number of points
%d = dimension of ambient space

% matrix of n points; each row is a point in R^d
P = rand(n,d); % selects values uniformly at random from (0,1)

for i=1:n
    for j=1:n
        A(i,j) = (P(i,:)-P(j,:))*(P(i,:)-P(j,:))';
    end;
end;