function run_perseus(filePrefix, perseusDirectory)

% ----------------------------------------------------------------
% RUN PERSEUS
%
% Given a Perseus input file of the form generated by 
% count_cliques_and_write_to_file, run the Perseus algorithm to 
% compute the persistent homology of the given clique complex.
%
% INPUT:
%   filePrefix: Prefix of clique file name
%   perseusDirectory: Directory in which the compiled Perseus code
%       is located
%
% ----------------------------------------------------------------

if ismac
    perseusCommand = 'perseusMac';
    system(sprintf('%s/%s nmfsimtop %s_simplices.txt %s_homology',...
        perseusDirectory, perseusCommand, filePrefix, filePrefix));
elseif ispc
    perseusCommand = 'perseusWin';
    system(sprintf('"%s/%s" nmfsimtop %s_simplices.txt %s_homology',...
        perseusDirectory, perseusCommand, filePrefix, filePrefix));
elseif isunix
    perseusCommand = 'perseusLin';
    system(sprintf('%s/%s nmfsimtop %s_simplices.txt %s_homology',...
        perseusDirectory, perseusCommand, filePrefix, filePrefix));
else
    error('Cannot determine operating system type to run Perseus.');
end

    
end    
